Bug 1258440 - Missing ftpasswd tool into the proftpd RPM
Missing ftpasswd tool into the proftpd RPM
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: proftpd (Show other bugs)
el6
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-31 07:51 EDT by Olivier BONHOMME
Modified: 2015-10-01 14:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: proftpd-1.3.3g-6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-01 14:57:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ftpasswd script deployment (466 bytes, text/plain)
2015-08-31 07:51 EDT, Olivier BONHOMME
no flags Details

  None (edit)
Description Olivier BONHOMME 2015-08-31 07:51:15 EDT
Created attachment 1068621 [details]
ftpasswd script deployment

Description of problem:

The very usefull tool ftpasswd available into the contrib directory from the proftpd upstream archive is not deployed into the RPM.

It should be be nice if this tool was provided with the proftpd server into the RPM.

Version-Release number of selected component (if applicable): 1.3.3g-4

You'll find as attachement a patch of the SPEC file which adds the installation of the ftpasswd script into the RPM.
Comment 1 Paul Howarth 2015-08-31 09:58:51 EDT
How about as a separate proftpd-utils packages as per the Fedora version? That way we avoid pulling in perl as a dependency of the main package.

Here's a scratch build to try:
http://koji.fedoraproject.org/koji/taskinfo?taskID=10895317

See what you think.
Comment 2 Olivier BONHOMME 2015-08-31 12:44:15 EDT
Hello Paul,

Thanks for your quick answer. 

I like the idea of the proftpd-utils packages in order to avoid the perl dependency. 

I tested your packages on a CentOS 6 system and it seems OK for me.

However, do you think it would be possible to embed the ftpasswd script from the last proftpd version available here : ftp://ftp.proftpd.org/distrib/source/proftpd-1.3.5a.tar.gz.

The benefit of this ftpasswd embedded on this upstream version is that it can generates sha256 and sha512 hash passwords whereas in the 1.3.3 version it is restricted to md5 and DES.

I don't know if it is possible due to the EPEL policy. Maybe including a patch which would be the diff between 1.3.3 and 1.3.5 versions for the ftpasswd script ?

Regards,
Comment 3 Paul Howarth 2015-09-06 11:25:29 EDT
OK, sorry for the delay, here's a new scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=10980014
Comment 4 Olivier BONHOMME 2015-09-07 08:50:55 EDT
Hello Paul,

Here are my tests results : 

- Installation of generated proftpd and proftpd-utils RPM OK
- Password generation with sha256 option OK
- Login Test with a user using the sha256 hash password OK
- Password generation with sha512 option OK
- Login Test with a user using the sha512 hash password OK

For me the feature is correctly implemented.
Comment 5 Paul Howarth 2015-09-07 09:25:27 EDT
Thank you for testing. I will build and push this as a regular update to EPEL6 now.
Comment 6 Fedora Update System 2015-09-07 09:42:24 EDT
proftpd-1.3.3g-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7979
Comment 7 Fedora Update System 2015-09-07 21:00:26 EDT
proftpd-1.3.3g-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update proftpd'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7979
Comment 8 Olivier BONHOMME 2015-09-08 12:49:46 EDT
Hello Paul,

Sorry to add this comment now since the RPM is in QA but I saw a little thing missing about ftpasswd.

I just wanted to test the --use-cracklib option with ftpasswd and the tool denied it to me because the perl lib was not available.

ftpasswd requires Crypt::Cracklib which is available in EPEL. Maybe it would be nice to add a Requires of this perl lib on the proftpd-utils package ? I hope it is not too late.

Regards,
Comment 9 Fedora Update System 2015-09-10 14:52:38 EDT
proftpd-1.3.3g-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7979
Comment 10 Paul Howarth 2015-09-10 15:17:08 EDT
The -6 build includes the dependency, which I've also added to the Fedora proftpd packages for F-23 and Rawhide. Older releases will get the update if there's something significant worth pushing an update for.
Comment 11 Fedora Update System 2015-09-12 00:59:49 EDT
proftpd-1.3.3g-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update proftpd'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7979
Comment 12 Fedora Update System 2015-10-01 14:57:01 EDT
proftpd-1.3.3g-6.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.